<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="no" omit-xml-declaration="yes" doctype-public="-//W3C/DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" media-type="text/html" />
<xsl:strip-space elements="*"/>
<xsl:template match="FeedbackForm">
	<html>
	<head>
		<title><xsl:value-of select="FeedbackOptions/Option[@name='NameOfForm' and @type='value']" /></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<script language="javascript" src="validator.js"/>
<script language="javascript">
function DoWhenInit()
{
	try
	{
		var f=this.parent.document.getElementById('<xsl:value-of select="@moduleFrame"/>');
		f.style.height=this.contentWindow.document.body.scrollHeight;
	}
	catch(e){}
}
function CheckRequired()
{
	if(<xsl:apply-templates select="FeedbackFields/Field" mode="check_r"/>false)
	{
		alert('<xsl:value-of select="FeedbackLocalize/FFCWiz_ErrorRequiredFieldsEmpty"/>');
		return false;
	}
	else
		return true;
}
<xsl:apply-templates select="Checks" />
function Send()
{
	if(CheckRequired() &amp;&amp; <xsl:apply-templates select="FeedbackFields/Field" mode="check_v"/>true)
	{
		window.document.body.style.cursor="wait";
		var is=document.getElementsByTagName('input');
		for(var i=0;i&#60;is.length;i++)
			is[i].style.cursor="wait";
		var is=document.getElementsByTagName('textarea');
		for(var i=0;i&#60;is.length;i++)
			is[i].style.cursor="wait";
		document.getElementById('feedback').submit();
	}
}
function ResetForm()
{
	document.forms[0].reset();
}
</script>
		<style type="text/css">@import url(style.css);</style>
        <style type="text/css">@import url("../css/styles.css");</style>
	</head>
	<body onload="javascript: DoWhenInit();" class="pageContent">
		<form name='feedback' id="feedback" method='post' ENCTYPE='multipart/form-data' onsubmit="return false;" action="send.php">
			<table cellspacing='0' cellpadding='0' border='0'>
				<tr>
					<td class="formtitle"><xsl:value-of select="FeedbackOptions/Option[@type='value' and @name='NameOfForm']" /><br/><br/></td>
				</tr>
				<xsl:apply-templates select="FeedbackFields/Field" mode="construct"/>
				<tr>
					<td><span class="w">*</span> - <xsl:value-of select="FeedbackLocalize/FFCWiz_RequiredField"/></td>
				</tr>
				<tr>
					<td style="text-align: right;">
						<br/><input id="apply" name="apply" type="button" onclick="Send();" class="but">
							<xsl:attribute name="value"><xsl:value-of select="FeedbackLocalize/FFCWiz_Send"/></xsl:attribute>
						</input>
						&#160;
						<input type="button" onclick="ResetForm();" class="but">
							<xsl:attribute name="value"><xsl:value-of select="FeedbackLocalize/FFCWiz_Cancel"/></xsl:attribute>
						</input>
					</td>
				</tr>
			</table>
		</form>
	</body>
	</html></xsl:template>


<xsl:template match="Checks"><xsl:apply-templates /></xsl:template>

<xsl:template match="E-MAIL">
function CheckEMail()
{
	var mail=document.getElementById('send_EMailAddr').value;
	var v = new Validator();
	if(mail!='' &amp;&amp; !v.verMAIL(mail))
	{
		alert('<xsl:value-of select="//FeedbackLocalize/FFCWiz_ErrorEmailAddrFrmt"/>');
		return false;
	}
	else
		return true;
}
</xsl:template>

<xsl:template match="INT">
function CheckInt(val,errStr)
{
	if(val!='' &amp;&amp; !/^[0-9]+$/.test(val))
	{
		alert(errStr);
		return false;
	}
	else
		return true;
}
</xsl:template>
<xsl:template match="ZIP">
function CheckZip(val,errStr) {
	if (document.getElementById('send_ZIP').value.match(/^[0-9a-zA-Z]+$/g) == null) {
	    alert('<xsl:value-of select="//FeedbackLocalize/FFCWiz_ErrorZIPFrmt"/>');
	    return false;
	} else {
	    return true;
	}
}
</xsl:template>
<xsl:template match="TEL">
function CheckTel(val,errStr)
{
	return CheckInt(document.getElementById('send_Tel').value,'<xsl:value-of select="//FeedbackLocalize/FFCWiz_ErrorTelFrmt"/>');
}
</xsl:template>
<xsl:template match="FAX">
function CheckFax(val,errStr)
{
	return CheckInt(document.getElementById('send_Fax').value,'<xsl:value-of select="//FeedbackLocalize/FFCWiz_ErrorFaxFrmt"/>');
}
</xsl:template>
	
<xsl:template match="Field" mode="construct">
	<xsl:if test="@include='true'">
		<tr>
			<td class="pageContent"><xsl:value-of select="@caption"/>:<xsl:if test="@require='true'"><span class="w">*</span></xsl:if></td>
		</tr>
		<tr>
			<td style="padding-bottom: 5px;"><xsl:choose>
					<xsl:when test="@type">
						<xsl:choose>
							<xsl:when test="@type='textarea'">
								<xsl:call-template name="TEXTAREA_FIELD">
									<xsl:with-param name="ID" select="@id"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:when test="@type='country'">
								<xsl:call-template name="COUNTRY_FIELD">
									<xsl:with-param name="ID" select="@id"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="INPUT_FIELD">
									<xsl:with-param name="ID" select="@id"/>
									<xsl:with-param name="TYPE" select="@type"/>		
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="INPUT_FIELD">
							<xsl:with-param name="ID" select="@id"/>
							<xsl:with-param name="TYPE">text</xsl:with-param>
						</xsl:call-template>						
					</xsl:otherwise>
				</xsl:choose></td>
		</tr>
	</xsl:if>
</xsl:template>

<xsl:template name="COUNTRY_FIELD">
<xsl:param name="ID"/>
<select>
		<xsl:attribute name="name">send[<xsl:value-of select="$ID"/>]</xsl:attribute>
		<xsl:attribute name="id">send_<xsl:value-of select="$ID"/></xsl:attribute>
<xsl:for-each select="//COUNTRIES/ITEM">
<option>
<xsl:attribute name="value"><xsl:value-of select="@ID"/></xsl:attribute>
<xsl:value-of select="@NAME"/>
</option>
</xsl:for-each>
</select>
</xsl:template>
	<xsl:template name="INPUT_FIELD">
		<xsl:param name="ID"/>
		<xsl:param name="TYPE"/>
		<input>
			<xsl:attribute name="name">send[<xsl:value-of select="$ID"/>]</xsl:attribute>
			<xsl:attribute name="id">send_<xsl:value-of select="$ID"/></xsl:attribute>
			<xsl:attribute name="type"><xsl:value-of select="$TYPE"/></xsl:attribute>
		</input>
	</xsl:template>
	<xsl:template name="TEXTAREA_FIELD">
		<xsl:param name="ID"/>
		<textarea>
			<xsl:attribute name="id">send_<xsl:value-of select="$ID"/></xsl:attribute>
			<xsl:attribute name="name">send[<xsl:value-of select="$ID"/>]</xsl:attribute>
		</textarea>	
	</xsl:template>
	<xsl:template match="Field" mode="check_r">
		<xsl:if test="@require='true'">document.forms[0].send_<xsl:value-of select="@id"/>.value==''||</xsl:if>
	</xsl:template>
	<xsl:template match="Field" mode="check_v">
		<xsl:if test="@include='true'"><xsl:if test="@check"><xsl:value-of select="@check"/>()&amp;&amp;</xsl:if></xsl:if>
	</xsl:template>
</xsl:stylesheet>